| Exiv2

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
Exiv2::Slice< const container > Struct Template Reference

Specialization of slices for constant containers. More...

`#include <slice.hpp>`

Inheritance diagram for Exiv2::Slice< const container >:
[legend]

## Public Types
using | iterator = typename container::iterator
using | const_iterator = typename container::const_iterator
using | value_type = typename std::remove_cv<typename container::value_type>::type
Public Types inherited from Exiv2::Internal::MutableSliceBase< Internal::ContainerStorage, container >
using | iterator
using | const_iterator
using | value_type
Public Types inherited from Exiv2::Internal::ConstSliceBase< Internal::ContainerStorage, container >
using | iterator
using | const_iterator
using | value_type
Public Types inherited from Exiv2::Internal::ConstSliceBase< Internal::ContainerStorage, const container >
using | iterator
using | const_iterator
using | value_type

## Public Member Functions
Slice | subSlice (size_t begin, size_t end) const
Public Member Functions inherited from Exiv2::Internal::MutableSliceBase< Internal::ContainerStorage, container >
value_type & | at (size_t index)
iterator | begin () noexcept
iterator | end () noexcept
Public Member Functions inherited from Exiv2::Internal::ConstSliceBase< Internal::ContainerStorage, container >
| ConstSliceBase (container &data, size_t begin, size_t end)
const value_type & | at (size_t index) const
const_iterator | cbegin () const noexcept
const_iterator | cend () const noexcept
slice_type | subSlice (size_t begin, size_t end) const
Public Member Functions inherited from Exiv2::Internal::SliceBase
| SliceBase (size_t begin, size_t end)
size_t | size () const noexcept
Public Member Functions inherited from Exiv2::Internal::ConstSliceBase< Internal::ContainerStorage, const container >
| ConstSliceBase (const container &data, size_t begin, size_t end)
const value_type & | at (size_t index) const
const_iterator | cbegin () const noexcept
const_iterator | cend () const noexcept
slice_type | subSlice (size_t begin, size_t end) const

## Additional Inherited Members
Protected Member Functions inherited from Exiv2::Internal::MutableSliceBase< Internal::ContainerStorage, container >
slice_type | subSlice (size_t begin, size_t end)
Protected Member Functions inherited from Exiv2::Internal::SliceBase
void | rangeCheck (size_t index) const
Protected Attributes inherited from Exiv2::Internal::ConstSliceBase< Internal::ContainerStorage, container >
Internal::ContainerStorage< container > | storage_
Protected Attributes inherited from Exiv2::Internal::SliceBase
size_t | begin_
size_t | end_
Protected Attributes inherited from Exiv2::Internal::ConstSliceBase< Internal::ContainerStorage, const container >
Internal::ContainerStorage< const container > | storage_

## Detailed Description

template<typename container>
struct Exiv2::Slice< const container >

Specialization of slices for constant containers.

The documentation for this struct was generated from the following file:

- slice.hpp